%global octpkg optim

Name:           octave-%{octpkg}
Version:        1.0.17
Release:        3%{?dist}
Summary:        A non-linear optimization tool kit for Octave
Group:          Applications/Engineering
# C++ files are GPLv2+, .m files are GPLv2+ and GPLv3+, documentation is GFDL
License:        GPLv2+ and GPLv3+ and GFDL
URL:            http://octave.sourceforge.net/optim/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# avoid stripping binaries to get useful debuginfo packages
# fedora specific - not upstreamed
Patch0:         %{name}-nostrip.patch

BuildRequires:  octave-devel
BuildRequires:  octave-miscellaneous >= 1.0.11
BuildRequires:  octave-struct >= 1.0.9 
BuildRequires:  tex(latex)

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave
Requires:       octave-miscellaneous >= 1.0.11
Requires:       octave-struct >= 1.0.9 

Obsoletes:      octave-forge <= 20090607


%description
This package contains a non-linear optimization tool kit for Octave, containing
functions for curve fitting and the following minimization algorithms:
* Nead-Miller simplex
* Conjugate Gradients
* Memory limited BFGS
* Simulated Annealing

%prep
%setup -q -n %{octpkg}-%{version}
%patch0 -p0 -b .nostrip

%build
#octave pkg build dependency check does not work
#https://bugzilla.redhat.com/show_bug.cgi?id=733615
#octave_pkg_build
%octave_cmd pkg build '-verbose' '-nodeps' %{_tmppath}/%{name}-%{version}-%{release}.%{_arch} %{_builddir}/%{buildsubdir}
make -C doc DVIPDF=dvipdf optim-mini-howto-2.pdf

%install
rm -rf %{buildroot}
%octave_pkg_install
rm -rf %{buildroot}/%{octpkgdir}/doc/.svnignore
chmod a-x %{buildroot}/%{octpkgdir}/*.m
rm -rf  %{buildroot}/%{octpkgdir}/doc

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)

%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/packinfo
%doc %{octpkgdir}/packinfo/COPYING
%{octpkglibdir}
%{octpkgdir}/PKG_ADD
%{octpkgdir}/private/optim_problems_p_r_y.data
%{octpkgdir}/private/*.m

%doc doc/optim-mini-howto-2.pdf doc/development/interfaces.txt

%changelog
* Mon Jan 16 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.17-3
- rebuild for octave 3.6.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.17-1
- update to 1.0.17

* Fri Aug 26 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.16-3
- compile tex docs into a pdf file instead of shipping tex sources

* Wed Aug 24 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.16-2
- review input

* Fri Jun 03 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> 1.0.16-1
- initial package for Fedora
